{ config, lib, pkgs, ... }: {
  boot.kernelPatches = [{
    name = "ath10k-override-eeprom-regulatory-domain";
    patch = ./wle900vx/ath10k-override-eeprom-regulatory-domain.patch;
    extraConfig = ''
      EXPERT y
      CFG80211_CERTIFICATION_ONUS y
      ATH_REG_DYNAMIC_USER_REG_HINTS y
      ATH_REG_DYNAMIC_USER_CERT_TESTING y
      ATH_REG_DYNAMIC_USER_CERT_TESTING y
    '';
  }];

  services.hostapd5ghz.extraConfig = ''
    ht_capab=[LDPC][HT40+][SHORT-GI-20][SHORT-GI-40][TX-STBC][DSSS_CCK-40]
    vht_capab=[SHORT-GI-80][MAX-MPDU-11454][RXLDPC][TX-STBC-2BY1][MAX-A-MPDU-LEN-EXP3][RX-ANTENNA-PATTERN][TX-ANTENNA-PATTERN]
  '';
}
