# Default configuration for hosts
{ config, lib, pkgs, ... }:

{
  services.nextcloud = {
    adminpassFile = "/secrets/nextcloud-admin";#TODO
    adminuser = "root";
    dbtype = "pgsql";
    dbhost = "/run/postgresql";
    enable = true;
    https = true;
    maxUploadSize = "1G";
    nginx.enable = true;
    webfinger = true;
  };
}
